/*
 * Copyright (C) 2014 digitalSTROM.org, Schlieren, Switzerland
 *
 * Authors: Andreas Fenkart, <andreas.fenkart@dev.digitalstrom.org>
 *
 * digitalSTROM ds485-client library is free software: you can redistribute it
 * and/or modify it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 *
 * digitalSTROM ds485-client library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with digitalSTROM ds485-client library. If not, see
 * <http://www.gnu.org/licenses/>.
 */

#ifndef __BASE_SOCKET_SEND_H__
#define __BASE_SOCKET_SEND_H__

#include <stdint.h>
#include <sys/types.h>
#include <sys/uio.h>

int socket_send(int socket, const uint8_t* data, size_t dlen);
int socket_writev(int socket, const struct iovec *iov, int iovcnt);

#endif
